package com.ad.scope.impl

import android.content.Context
import com.beizi.fusion.BeiZis
import com.composition.android.lib.ad.interfaces.Initialize

/**
 * @author: HuBoWen
 * @date: 2023/4/25
 * @description:
 */
class ScopeInitialize(var appId: String) : Initialize {
    override fun init(context: Context) {
        //建议开发者在此处调用初始化的方法，且此方法只需要一次调用
        BeiZis.init(context, appId)
        //如无需控制sdk对敏感权限的使用，建议使用不带BeiZiCustomController参数的初始化方法 自定义广告测试时使用20681  其它类型广告测试的时候使用20159
        //关闭个性化推荐在SDK初始化之前调用
//        BeiZis.setSupportPersonalized(false)
        //设置隐私合规内容时，调用的初始化方法
//        BeiZis.init(context, appId, object : BeiZiCustomController() {
//            /**
//             * 是否允许SDK主动使用地理位置信息
//             *
//             * @return true可以获取，false禁止获取。默认为true
//             */
//            override fun isCanUseLocation(): Boolean {
//                return true
//            }
//
//            /**
//             * 是否允许SDK主动使用ACCESS_WIFI_STATE权限
//             *
//             * @return true可以使用，false禁止使用。默认为true
//             */
//            override fun isCanUseWifiState(): Boolean {
//                return true
//            }
//
//            /**
//             * 是否允许SDK主动使用手机硬件参数，如：imei，imsi
//             *
//             * @return true可以使用，false禁止使用。默认为true
//             */
//            override fun isCanUsePhoneState(): Boolean {
//                return true
//            }
//
//            /**
//             * 是否能使用Oaid
//             *
//             * @return true可以使用，false禁止使用。默认为true
//             */
//            override fun isCanUseOaid(): Boolean {
//                return true
//            }
//
//            /**
//             * 是否能使用Gaid
//             *
//             * @return true可以使用，false禁止使用。默认为true
//             */
//            override fun isCanUseGaid(): Boolean {
//                return true
//            }
//        })
    }
}